org.richfaces.event

## Class MethodExpressionTreeSelectionChangeListener

- java.lang.Object
- - org.richfaces.event.MethodExpressionEventListener
  - - org.richfaces.event.MethodExpressionTreeSelectionChangeListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, TreeSelectionChangeListener

      public class MethodExpressionTreeSelectionChangeListener
      extends org.richfaces.event.MethodExpressionEventListener
      implements TreeSelectionChangeListener

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionTreeSelectionChangeListener()`
    `MethodExpressionTreeSelectionChangeListener(javax.el.MethodExpression methodExpressionOneArg)`
    `MethodExpressionTreeSelectionChangeListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processTreeSelectionChange(TreeSelectionChangeEvent event)`

    - ### Methods inherited from class org.richfaces.event.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionTreeSelectionChangeListener

          public MethodExpressionTreeSelectionChangeListener()

    - #### MethodExpressionTreeSelectionChangeListener

          public MethodExpressionTreeSelectionChangeListener(javax.el.MethodExpression methodExprOneArg,
                                                     javax.el.MethodExpression methodExprZeroArg)

    - #### MethodExpressionTreeSelectionChangeListener

          public MethodExpressionTreeSelectionChangeListener(javax.el.MethodExpression methodExpressionOneArg)

  - ### Method Detail

    - #### processTreeSelectionChange

          public void processTreeSelectionChange(TreeSelectionChangeEvent event)
                                          throws javax.faces.event.AbortProcessingException

      Specified by:
        `processTreeSelectionChange` in interface `TreeSelectionChangeListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.